Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BIRT » Birt Language Packs
Birt Language Packs [message #756689] Mon, 14 November 2011 11:46 Go to next message
Sebastian Hä älä is currently offline Sebastian Hä älä
Messages: 11
Registered: October 2011
Junior Member
Hello,

I have downloaded and extraceted the BIRT Language Packs from eclipse.org/babel/downloads.php. But even basic strings as "close" or "save" aren't translated. I figured these to be in the Eclipse Language Pack. As I want to translate my complete BIRT, I downloaded all Language Packs und extracted them - which lead to a error message and BIRT not opening. Is there an way to translate BIRT with all of the already translated strings?

Thanks.
Sebastian Hätälä
Re: Birt Language Packs [message #756759 is a reply to message #756689] Mon, 14 November 2011 18:25 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Which language did you try?
Did you try method 2 here:
http://download.eclipse.org/birt/downloads/lang.php?build=R-R1-3_7_1-201109131734

I believe the file menu translations are done in:
BabelLanguagePack-eclipse-locale_version

Jason

On 11/14/2011 11:46 AM, Sebastian H wrote:
> Hello,
>
> I have downloaded and extraceted the BIRT Language Packs from
> eclipse.org/babel/downloads.php. But even basic strings as "close" or
> "save" aren't translated. I figured these to be in the Eclipse Language
> Pack. As I want to translate my complete BIRT, I downloaded all Language
> Packs und extracted them - which lead to a error message and BIRT not
> opening. Is there an way to translate BIRT with all of the already
> translated strings?
>
> Thanks.
> Sebastian Hätälä
Re: Birt Language Packs [message #757709 is a reply to message #756759] Mon, 21 November 2011 05:30 Go to previous messageGo to next message
Sebastian Hä älä is currently offline Sebastian Hä älä
Messages: 11
Registered: October 2011
Junior Member
Hi,

thank you for answering. I am trying to get the German language running.
I would like to have this done as mentioned in method 1. Just download the package(s) unzip them and start BIRT.
What works is that the BIRT-specific terms like chart names and data sets get translated but terms inherited from eclipse (e.g. file, edit, window, help) stay english.

Sebastian Hätälä
Re: Birt Language Packs [message #757843 is a reply to message #757709] Mon, 21 November 2011 14:10 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

I downloaded
BabelLanguagePack-eclipse-de_3.7.0.v20110723043401 and
BabelLanguagePack-birt-de_3.7.0.v20110723043401

extraced to my indigo release and
and added this to the bottom of my eclipse.ini

-Duser.language=de

and it worked fine.

Jason

On 11/21/2011 5:30 AM, Sebastian H wrote:
> Hi,
>
> thank you for answering. I am trying to get the German language running.
> I would like to have this done as mentioned in method 1. Just download
> the package(s) unzip them and start BIRT.
> What works is that the BIRT-specific terms like chart names and data
> sets get translated but terms inherited from eclipse (e.g. file, edit,
> window, help) stay english.
>
> Sebastian Hätälä
Re: Birt Language Packs [message #759405 is a reply to message #756689] Mon, 28 November 2011 10:10 Go to previous messageGo to next message
Sebastian Hä älä is currently offline Sebastian Hä älä
Messages: 11
Registered: October 2011
Junior Member
By the way: I work with BIRT 3.5.0 so that would be Galileo for me. But there should be no maior differences to Indigo I think. The BIRT.ini entry didn't change anything for me. I think BIRT did choose the German strings anyway after I extracted the BabelLanguagePack-birt-de_...
Extracting BabelLanguagePack-eclipse-de_ I get an error when trying to start BIRT. It says: The BIRT executable launcher was unable to locate its companion shared library. I think what this means, is that there are translated strings in the BabelLanguagePack-eclipse-de_ then BIRT actually posesses. This is because I am using the RCP version, not the Eclipse-PlugIn!

Thank you,
Sebastian Hätälä
Re: Birt Language Packs [message #759695 is a reply to message #759405] Tue, 29 November 2011 11:29 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Do you mean you are using BIRT 2.5? I can not reproduce the issue.

Jason

On 11/28/2011 10:10 AM, Sebastian H wrote:
> By the way: I work with BIRT 3.5.0 so that would be Galileo for me. But
> there should be no maior differences to Indigo I think. The BIRT.ini
> entry didn't change anything for me. I think BIRT did choose the German
> strings anyway after I extracted the BabelLanguagePack-birt-de_...
> Extracting BabelLanguagePack-eclipse-de_ I get an error when trying to
> start BIRT. It says: The BIRT executable launcher was unable to locate
> its companion shared library. I think what this means, is that there are
> translated strings in the BabelLanguagePack-eclipse-de_ then BIRT
> actually posesses. This is because I am using the RCP version, not the
> Eclipse-PlugIn!
>
> Thank you,
> Sebastian Hätälä
Re: Birt Language Packs [message #760804 is a reply to message #759695] Mon, 05 December 2011 05:30 Go to previous messageGo to next message
Sebastian Hä älä is currently offline Sebastian Hä älä
Messages: 11
Registered: October 2011
Junior Member
Yes, sorry. I ment Birt 2.5 RCP Smile
Re: Birt Language Packs [message #760990 is a reply to message #760804] Mon, 05 December 2011 13:51 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Can you try using the Birt 2.5 allinone download instead of the RCP version?

Jason

On 12/5/2011 5:30 AM, Sebastian H wrote:
> Yes, sorry. I ment Birt 2.5 RCP :)
Re: Birt Language Packs [message #778105 is a reply to message #760990] Wed, 11 January 2012 07:20 Go to previous messageGo to next message
Sebastian Hä älä is currently offline Sebastian Hä älä
Messages: 11
Registered: October 2011
Junior Member
Happy New Year!

Unfortunately I can't use the allinone version. I guessed there was a way to implement Babel into the Standalone version Sad


Thanks,
Sebastian
Re: Birt Language Packs [message #778405 is a reply to message #778105] Wed, 11 January 2012 13:33 Go to previous message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Sebastian,

I just want you to try it as a test. This should be doable in the RCP
version.

Jason

On 1/11/2012 7:20 AM, Sebastian Hä älä wrote:
> Happy New Year!
>
> Unfortunately I can't use the allinone version. I guessed there was a
> way to implement Babel into the Standalone version :(
>
>
> Thanks,
> Sebastian
Previous Topic:Text Overflow to another cell
Next Topic:BIRT Viewer text
Goto Forum:
  


Current Time: Mon Jul 28 16:47:48 EDT 2014

Powered by FUDForum. Page generated in 0.01723 seconds